Figure - Bug #113250

0O BSPO O EVT20 O WIFIO O 5/50 O Userdebug wifi/BTO MACO OO OO DO OODOO

2022-10-28 14:01 - CDTS_TEST O O

Status: CLOSED Start date:
Priority: Normal Due date:
Assignee: CDTS_TESTO O % Done:

Category: BSP Estimated time:

Target version: VX1_MCE_FSE_V3.0_update_20221115

2022-10-28

50%
0.00 hour

D.X101.2

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.0
Resolution: - Degrated: -

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

oooood

1L.00000ooooo

oooood

1.0 0 0 0 0O O wifidl BTO Ethernetd MACO O

adb shell getprop ro.boot.wifimac

adb shell getprop ro.boot.btmac

adb shell getprop ro.boot.ethOmac

20000 --Setting-0 0 0000 OO mac/Wlanmac

gooooo
00000 O0000O0O00oDowfiDODoOoOooo

gooooo
OO0O0O0C0OOOOOOCOMAC/WIFIMACE O

History

#1 - 2022-10-28 16:30 - CD BSP-0 O

Oo000o0o00OwfioOOOO0OO0OmacO O

+static int __init get_wifi_mac(char *str)

+

+  pr_err("%s: str: %s\n", func, str);

+  returnl;

+}

+__setup("androidboot.wifimac=", get_wifi_mac);

#2-2022-10-3114:20-CDLCO OO
- Status changed from New to ASSIGNED

2025-07-04
patchO D O0O0O0O00O0O0O

#3-2022-10-3123:04-CDLCO OO

BT:
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/159133

#4 - 2022-10-312357-CDLCO OO

----wlan Log----

10-21 01:15:19.584 1932 1932 D wpa_supplicant: nl80211: Own MAC address on ifindex 17 (wlan0) changed from 72:b2:05:f2:73:35 to 00:03:7f:12:ae:e0

10-21 01:15:19.607 1428 1468 D LOWI-9.0.0.87.a: [LOWIWifiDriverUtils] getWiFildentityFromloctl: ioctl(GET_MAC_ADDR) return: 0, Mac = 00:03:7f:12:ae:e0
10-21 01:15:19.633 1442 1859 | WifiClientModelmpl[wlan0]: Connecting with 00:03:7f:12:ae:e0 as the mac address

#5-2022-10-312359-CDLCO OO
- Target version changed from VVC1_FSE_0 00 SW_20221030 to VX1_MCE_FSE_V3.0_update_20221115

WLAN MAC settings has some problems.
As the 1030 has expired, change to 1115.
Will complete with high priority.

#6 - 2022-11-0100:10-CDLCO OO

1044 static void nl80211_refresh_mac(struct wpa_driver_nI80211_data *drv,
1045 intifindex, int notify)

1046 {

1047  struct i802_bss *bss;

1048  u8addr[ETH_ALEN];

1049

1050 bss = get_bss_ifindex(drv, ifindex);

1051 if (bss &&

1052 linux_get_ifhwaddr(drv->global->ioctl_sock,

1053 bss->ifname, addr) < 0) {

1054 wpa_printf(MSG_DEBUG,

1055 "nl80211: s: failed to re-read MAC address”,
1056 bss->ifname);

1057  }else if (bss &x%x os_memcmp(addr, bss->addr, ETH_ALEN) !=0) {
1058 wpa_printf(MSG_DEBUG,

1059 "nlg0211: Own MAC address on ifindex %d (%s) changed from "
1060 MACSTR "to " MACSTR,

1061 ifindex, bss->ifname,

1062 MAC2STR, MAC2STR);

1063 0s_memcpy(bss->addr, addr, ETH_ALEN);

#7-2022-11-0714:16-CDLCO OO

wifi patch
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/159133

http://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/160638

#8-2022-11-0715:38-CDLCO OO

BT:
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/159133

wifi patch
http://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/160638

Jenkins
http://10.0.76.24:8080/job/VerifyBuild for IOT 6490/2167/

#9-2022-11-0715:39-CDLCO OO
- % Done changed from 0 to 30

#10 - 2022-11-08 09:49 - CDTS_TEST O O
- Subject changed from 0 BSPO O EVT20 O WIFIO O 0 O O O UserdebugD wifi/BTO MACCO OO0 O OO0 OO0 todBSPO O EVT20 O WIFIO O 5/50
0 UserdebugO wifi/BTO MACO 0 00000000

#11-2022-11-1009:57-CDLC O OO

goooooboooo,ooboa.

#12-2022-11-1100:46-CDLCO OO

OO0propertyd D OMACOOOOODOOO0DOO,000000.000O patch.
gooogoo
http://10.0.76.24:8080/job/VerifyBuild_for 10T 6490/2287/

#13-2022-11-1401:41-CDLCO OO

ogoooooo
http://10.0.76.24:8080/job/VerifyBuild for IOT 6490/2325/
0000 review&d OO

#14-2022-11-1417:58 -0 00000 _CDTSO O

000 0O O FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211141239
0000MACO

C:\Users\liugiang0703>adb shell getprop ro.boot.wifimac

FO74E43A1921

C:\Users\liugiang0703>adb shell getprop ro.boot.ethOmac
FO74E43A19C1

C:\Users\liugiang0703>adb shell getprop ro.boot.btmac
FO74E43A1881
http://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/160638
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/159133
http://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/160638
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2167/
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2287/
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2325/

ifconfig O O macO O O

1|figure:/ #ifconfigwlan0 0 O 0 0 0 0 O macO O O

wlan0 Link encap:Ethernet HWaddr 42:ad:b2:d8:07:4c Driver cnss_pci
UP BROADCAST MULTICAST MTU:1500 Metric:1
RX packets:2872 errors:0 dropped:0 overruns:0 frame:0
TX packets:2929 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:3000
RX bytes:986331 TX bytes:888494

1|figure:/ #ifconfigwlan0 0 O O 0 O macO O O

wlan0 Link encap:Ethernet HWaddr a2:9a:3f:20:9e:c2 Driver cnss_pci
UP BROADCAST MULTICAST MTU:1500 Metric:1
RX packets:2872 errors:0 dropped:0 overruns:0 frame:0
TX packets:2929 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:3000
RX bytes:986331 TX bytes:888494

figure:/ # ifconfig ethO
eth0  Link encap:Ethernet HWaddr 00:80:0f:74:31:00 Driver lan743x
UP BROADCAST MULTICAST MTU:1500 Metric:1
RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:1000
RX bytes:0 TX bytes:0

0 O about phoned macO O
WIFIO FO74E43A19C1
BTmacl FO74E43A1881

oood

getprop ro.boot.wifimacll FO74E43A19C1

getprop ro.boot.ethOmac] FO74E43A1921

getprop ro.boot.btmacl] F074E43A1881
0000000 OoOwWIF/BTmacO OO OO OO
WIFIO FO74E43A19C1

BTmac: FO74E43A1881

O0OOifeonfig0 0 0 macO OO 00O
WIFIDO 42:ad:b2:d8:07:4¢/a2:9a:3f:20:9e:c2
Eth[J 00:80:0f.74:31:00

#15-2022-11-1419:41-0 00000 _CDTSO O

Update

OORDOOOwfiOMACODODOODODOOODODOOODOOODODO

J0000Omac0 00000000000 0DOO00DO0OO000O0000000O00Oearseuserdatall 000000
000000000000 000000Ouwserdatad O 0Owlan0O OO OO0 OO

figure:/ # ifconfig ethO

eth0  Link encap:Ethernet HWaddr 00:80:0f:74:31:00 Driver lan743x

UP BROADCAST MULTICAST MTU:1500 Metric:1

RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:1000
RX bytes:0 TX bytes:0

figure:/ # ifconfig wlan0
wlan0 Link encap:Ethernet HWaddr 02:52:a4:aa:2e:44 Driver cnss_pci
UP BROADCAST MULTICAST MTU:1500 Metric:1
RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:3000
RX bytes:0 TX bytes:0

figure:/ # service call bluetooth_manager 12

Result: Parcel(
0x00000000: 00000000 00000011 00300046 0037003z "........ F.0..7."
0x00000010: 00320034 00340045 0033003a 00320041 '4.:.E.4..3.A..."
0x00000020: 00380031 00380032 00000031 '1.8.:.81.. )

C:\Users\liugiang0703>adb shell getprop ro.boot.btmac
FO74E43A1881

C:\Users\liugiang0703>adb shell getprop ro.boot.ethOmac
FO74E43A19C1

C:\Users\liugiang0703>adb shell getprop ro.boot.wifimac
FO74E43A1921

goooooo
btmac
FO74E43A1881
wifimac
FO74E43A1921

#16 - 2022-11-1421:41-CDLCO OO

BT:
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/159133

wifi patch
http://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/160638
Jo0o0doooi1115000

EthoOMACO O 0000000000000 OO propertyd

#17-2022-11-1421:42-CDLCO OO

- Status changed from ASSIGNED to RESOLVED

- Assignee changed fromCD LC 0 0 0 to CDTS_TEST O O
- % Done changed from 30 to 50

#18 - 2022-11-2113:46 - CDTS_TEST O O
- Assignee changed from CDTS_TEST O O to CDTS_TEST O O

2025-07-04
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/159133
http://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/160638

#19 - 2022-11-2119:47 - CDTS_TEST O O
- Status changed from RESOLVED to VERIFIED

0 HWO EVT2-VC1

0 SwO FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211190313
gooooo

1L,0bdbooooooo

gooooo

1.0 0000 O wifil BTO Ethernetd MACO O

adb shell getprop ro.boot.wifimac

adb shell getprop ro.boot.btmac

adb shell getprop ro.boot.ethOmac

20000 00WIFN\BTO MACO O

adb shell rw_reservepartition w wifimac c8d9d206dbbb

adb shell rw_reservepartition w btmac ¢8d9d206daaa

30000-Setting-0 00000 ODO0mac/WIFIMACOOOOOOOOOO

gooooo
3.0000000000MAC/WIFIMACO O 0O0OMACO O

goooogao

gbooooopASSODOOOO
OCommentd O 0Oethomac0 0000000000 0OSetting-0000O-IPOOOOMACODODODO

#20 - 2022-11-2119:47 - CDTS_TEST O O

- Status changed from VERIFIED to CLOSED

#21 - 2022-12-22 20:48 - CD FW-0O O
- Sticky changed from 1to 0

Gerrit Merge Information(]

1D Project Branch Uploader
159133 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | xidong.xu@thundersoft.com
m/proprietary r-dev

BT: Set BT mac via "ro.boot.btmac" Since the MAC has been customized to be written into "ro.boot.btmac",so use this property instead of
"ro.vendor.bt.boot.macaddr".TC-RID: 1201-0400104lssuelD: TS-R-BUG-113250Change-Id: Ifc4a296da07da5551405686e56b726076c7e7366

#22 - 2022-12-22 20:50 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader
160638 general/platform/packages/modules/ | Pre_figure_turbox-c2130c-lal.1-gssi12 | taohp0107@thundersoft.com
Wifi -dev
WLAN: Get fractory wifi mac from propertyGet fractory wifi mac from property "ro.boot.wifimac". TC-RID: 1201-0400203IssuelD:
TS-R-BUG-113250Change-1d: 1a09fe95aeb4d8847e4aa7597030e4b3bbecf6026

#23 - 2022-12-22 20:53 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
162760 general/platform/packages/modules/ | Pre_figure_turbox-c2130c-lal.1-gssi12 | taohp0107@thundersoft.com
Wifi -dev

WLAN: Add the checking of mac addressAdd the checking of the mac address given from “ro.boot.wifimac". TC-RID: 1201-0400203IssuelD:
TS-R-BUG-113250Change-1d: 19e476a5e9683ef5c3143f809b91d418962144740
